Segundo paso de portar gtk-xfce-engine a Gtk 3 alcanzado.

Así ha sido anunciando por Petter de Ride en la lista de Desarrolladores de Xfce en un extenso correo, donde invita a los interesados, a probar los cambios desde su branch en git (peter/gtk3).

Señalo algunas de las cosas más interesantes que Peter envió en el mensaje, eso sí, ha sido traducido por mi así que pueden haber errores.

El segundo paso de portar gtk-xfce-engine a Gtk 3 ha sido alcanzado. Han sido portados todos los temas que hay actualmente hacia la versión 3 de Gtk. Estos podrían no estar bien al 100% y se podrían limpiar algo más. Pero el objetivo era conseguir una versión en Gtk3 para todos ellos como una base para empezar …

… La historia nos dice que tenemos un tema nuevo Xfce cada lanzamiento. A pesar de que el último fue sólo un cambio en el color de la decoración de la ventana. Yo no soy un creador de temas y no voy a tratar de ser uno. Tal vez un nuevo tema podría basarse en el diseño xfce.org …

Sin duda alguna son excelentes noticias. De cierta forma se demuestra que puede ir avanzando hacia nuevas tecnologías y no quedará estancado.


12 comentarios

  1.   Oscar dijo

    En el día de hoy en Debian testing,se actualizó a Gtk3, hasta ahora sin problemas.

  2.   kik1n dijo

    Genial.
    Solo hay que esperar, para quitar Gnome 3

  3.   Trece dijo

    Como has cometando en algunos de tus post, hace ya tiempo que Xfce dejó de ser, signicaficativamente, liviano. La última vez que lo use fue hace como año y medio, y consumía casi la misma cantidad de recursos que gnome, tras el inicio de sesión. Sin embargo, tambien es verdad que muchas aplicaciones las notaba mas fluidas y rápidas (sobre todo al lanzarlas).

    Si el engine de Xfce ya trabaja con las librerias gtk3, sin duda es una buena noticia para sus usuarios, pues con la llegada de Gnome3 muchas aplicaciones ya se dibujan con dichas librerias, y cada vez hay más temas (ver gnome-look). En hora buena.

    Por cierto (para los gnomeros), con todo el barullo que se ha hecho sobre Unity, Gnome-shell y MSGE-Mute, creo que no estaría de más decir que si alguien extraña el entorno de Gnome “clásico”, no tengo la menor duda de que Xfce sería su mejor alternativa (donde además, recuerdo, Compiz trabaja muy bien).

    Saludos

  4.   Trece dijo

    Me acabo de dar cuenta que los comentarios ya están sujetos a aprobación (moderación). No sé desde cuando ya funciona asi el blog pero quisiera preguntarles los motivos de esa decisión.

    Saludos

    1.    KZKG^Gaara <" Linux dijo

      Los comentarios por defecto están moderados, al menos los primeros 3 o 5 comentarios. O sea, cuando X usuario con datos nunca antes visto en el sitio comenta, siempre deben ser aprobados estos comentarios, es una medida contra el SPAM. Por ejemplo, Eduar2 que tiene gran cantidad de comentario aprobados, no necesita aprobación para ningún otro, porque su combinación de datos (Nick+Email+SitioWeb) está clasificada como permitida, al parecer en tu caso cambiaste algún dato y por eso Wordpress puso tus comentarios en moderación, como si fueses un usuario completamente diferente al Trece de antes 😉

      1.    Eduar2 dijo

        😀 eh no creo que tenga tantos comentarios. exageras.

  5.   Yoyo dijo

    Aguante XFCE 😉

  6.   Eduar2 dijo

    Off Topic!! Alguien sabe si la pagina de GSExt https://extensions.gnome.org/ tiene algún problema o soy solo yo que algo jodí.

    1.    KZKG^Gaara <" Linux dijo

      Creo haber leído algo de esto en su lista de emails, creo que te habían baneado por troll y tocapelotas… JAJAJA

      1.    Eduar2 dijo

        Nah es que decidí hacer una instalación nueva para probar E17, enlightenment 17 para el que no sepa, pero los paquetes de comunity están algo olvidados (los de e17) tiene unos bugs feos, asi que instale xfce y lo desinstale, e instale gnome.

        Y todo perfect, así que lo puse bonito y luego de haber hecho todo pues tengo un lio con el sitio de las extensiones, cosa que hace unos días con mi otra instalación no me pasaba. Algo me falta o algo me jode.

        Así que 3 opciones tengo (las dos me llaman la atención por igual) la primera solucionar esto >>> ((gnome-shell:2033): libsoup-WARNING **: Could not set SSL credentials from ‘/etc/ssl/certs/ca-certificates.crt’)
        ((gnome-shell:2033): GLib-Net-WARNING **: couldn’t load TLS file database: Falló al abrir el archivo «/etc/ssl/certs/ca-certificates.crt) ya lo tengo mas o menos, la segunda instalar gentoo con E17 y la tercera es irme de farra desde ahora hasta año nuevo ;D.

        La tercera es la que menos me llama la atención pt geek que estoy hecho.

        1.    elav <° Linux dijo

          Eso pasa por estar inventando. Mi jefe siempre dice: Si algo funciona, no lo toques jajaja

  7.   ren dijo

    Huy tiempo sin comentar 🙂
    Genial me parece muy bueno y personalmente destaco mucho la forma en que los desarrolladores de xfce han llevado el proyecto, ya que es un proceso constante pero no apresurado, y con esto me refiero a la calidad del software que ellos entregan a la comunidad. Ahora con xfce portado casi portado a gtk3 muestra también el interés por estar al tanto de las nuevas tecnologías que de seguro traerá solo beneficios para el proyecto.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.